Subject: Re: FVWM: Re: problem when complied in fvwm2.0.43 in Solaris 2.

From: "Michael Kirby" <[email-masked]>
Date: Thu, 22 Aug 1996 13:52:44 PDT

On 22 Aug 96 at 12:59, Charles Hines wrote:

> >>>>> "Tuan" == Tuan Le <[email-masked]> writes:

> Tuan> Undefined                       first referenced
> Tuan>  symbol                             in file
> Tuan> socket                              /usr/lib/libX11.a(XConnDis.o)
> Tuan> gethostbyname                       /usr/lib/libX11.a(XConnDis.o)
> Tuan> setsockopt                          /usr/lib/libX11.a(XConnDis.o)
> Tuan> inet_addr                           /usr/lib/libX11.a(XConnDis.o)
> Tuan> connect                             /usr/lib/libX11.a(XConnDis.o)
> 
> Hm.  You seem to be missing a library from the final link list.  I
> thought that it compiled just fine out of the box under normal Solaris
> systems, so I wonder what's happening here. Anyone out there who
> normally compiles under Solaris care to help Tuan?

Make sure you have -lnsl and -lsocket in the EXTRA_LIBRARIES

Mike
---
[email-masked]
To obtain my PGP public key, mail "SEND PUB KEY" in the 
subject to "[email-masked]"
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].